<?php
/*
Plugin Name: DXrobot Widget
Plugin URI: http://on3jt.byze.be/
Description: DXrobot Widget shows the information of www.gooddx.net maintained by Allard Munters PE1NWL.
Author: Joost Luyten ON3JT
Version: 1.0
Author URI: http://on3jt.byze.be/
*/

function ReturnSize($url)
{
	$filesize = 0;
	$filehandle = @fopen($url, 'rb');
	
	if ($filehandle)
	{   	
			$filebuffer = "";
			while(!feof($filehandle))
			{
				$filebuffer .= fread($filehandle,1024);
			}
			fclose($filehandle);
			$filesize = strlen($filebuffer);
			return $filesize;
	}
	else
	{
		return $filesize;
	}
}

function CheckAurora()
{
	// aurora
	$size = ReturnSize('http://www.xs4all.nl/~amunters/aurorastatus.gif');
	switch($size)
	{
		case '214':
			return '<div class="AuroraClosed">Band Closed</div>';
			break;
	
		case '235':
			return '<div class="MidLatAurora">Mid Lat Aurora</div>';
			break;
	
		case '243':
			return '<div class="HighLatAurora">High Lat Aurora</div>';
			break;
		
		case '0':
			return '<div class="NoData">No Data</div>';
			break;
	}
}

function CheckEskipEU()
{
	$size = ReturnSize('http://www.xs4all.nl/~amunters/eskipstatus.gif');
	switch($size)
	{
		case '214':
			return '<div class="EskipClosed">Band Closed</div>';
			break;
	
		case '188':
			return '<div class="EskipMUF">High MUF</div>';
			break;
	
		case '237':
			return '<div class="EskipNow">144Mhz Es Now !!!</div>';
			break;
			
		case '0':
			return '<div class="NoData">No Data</div>';
			break;
	}
}

function CheckEskipNA()
{
	$size = ReturnSize('http://www.xs4all.nl/~amunters/eskipstatusNA.gif');
	switch($size)
	{
		case '214':
			return '<div class="EskipClosed">Band Closed</div>';
			break;
	
		case '188':
			return '<div class="EskipMUF">High MUF</div>';
			break;
	
		case '237':
			return '<div class="EskipNow">144Mhz Es Now !!!</div>';
			break;
			
		case '0':
			return '<div class="NoData">No Data</div>';
			break;
	}
}

function DXrobot()
{
 
 ?>
 <table border="0" cellspacing="0" cellpadding="0">
  	<tr><td>VHF Aurora : <td><td><?php echo CheckAurora() ?></td></tr>
	<tr><td>VHF Es EU : <td><td><?php echo CheckEskipEU() ?></td></tr>
	<tr><td>VHF Es NA : <td><td><?php echo CheckEskipNA() ?></td></tr>
	</table>
 <span class="RobotLink"><a href="http://www.gooddx.net" target="_blank">The DXrobot Widget</a></span> by <a href="http://on3jt.byze.be" target="_blank">ON3JT</a>
 <?php
}


function widget_DXRobot($args) 
{
  extract($args);

  $options = get_option("widget_DXRobot");
  if (!is_array( $options ))
	{
		$options = array(
      'title' => 'My Widget Title'
      );
  }      

  echo $before_widget;
    echo $before_title;
      echo $options['title'];
    echo $after_title;
    //Our Widget Content
    DXrobot();
  echo $after_widget;

}

function DXRobot_control()
{
  $options = get_option("widget_DXRobot");

  if (!is_array( $options ))
	{
		$options = array(
      'title' => 'DX robot'
      );
  }      

  if ($_POST['DXRobot-Submit'])
  {
    $options['title'] = htmlspecialchars($_POST['DXRobot-WidgetTitle']);

    update_option("widget_DXRobot", $options);
  }

?>
  <p>
    <label for="DXRobot-WidgetTitle">Title: </label>
    <input type="text" id="DXRobot-WidgetTitle" name="DXRobot-WidgetTitle" value="<?php echo $options['title'];?>" />
    <input type="hidden" id="DXRobot-Submit" name="DXRobot-Submit" value="1" />
  </p>
<?php
}



function DXRobot_init()
{
  register_sidebar_widget(__('DXRobot'), 'widget_DXRobot');
  register_widget_control(   'DXRobot', 'DXRobot_control', 300, 200 );
}
add_action("plugins_loaded", "DXRobot_init");


function AddCss()
{
	$dxrobot_dirname = plugin_basename(dirname(__FILE__));
  	load_plugin_textdomain('dxrobot', PLUGINDIR . '/' . $dxrobot_dirname . '/i18n');
  	$url = plugins_url($dxrobot_dirname);
	echo '<link href="' . $url .'/dxrobot.css" rel="stylesheet" type="text/css" media="screen" />';
}
add_action('wp_head','AddCss');


?>
